For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet market bbo
        • GETGet market bbo including all orders including RPI (as seen by the UI)
        • GETFunding data history
        • GETList available markets
        • GETHistory of changes to market specifications
        • GETOHLCV for a symbol
        • GETSettlement price for a single market
        • GETList available markets summary
        • GETGet market orderbook
        • GETGet market impact price
        • GETGet market interactive orderbook
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceMarkets

List available markets

GET
https://api.prod.paradex.trade/v1/markets
GET
/v1/markets
$curl -X GET https://api.prod.paradex.trade/v1/markets \
>-H 'Accept: application/json'
1{
2 "results": [
3 {
4 "asset_kind": "PERP",
5 "base_currency": "ETH",
6 "chain_details": {
7 "collateral_address": "0x1234567890",
8 "contract_address": "0x1234567890",
9 "fee_account_address": "0x1234567890",
10 "fee_maker": "0.01",
11 "fee_taker": "0.01",
12 "insurance_fund_address": "0x1234567890",
13 "liquidation_fee": "0.01",
14 "oracle_address": "0x1234567890",
15 "symbol": "ETH-USD-PERP"
16 },
17 "clamp_rate": "0.05",
18 "delta1_cross_margin_params": {
19 "imf_base": "0.11",
20 "imf_factor": "0",
21 "imf_shift": "0",
22 "mmf_factor": "0.51"
23 },
24 "expiry_at": 0,
25 "fee_config": {
26 "api_fee": {
27 "maker_fee": {
28 "fee": "0.0003",
29 "fee_cap": "0.5",
30 "fee_floor": "-0.5"
31 },
32 "taker_fee": {
33 "fee": "0.0003",
34 "fee_cap": "0.5",
35 "fee_floor": "-0.5"
36 }
37 },
38 "interactive_fee": {
39 "maker_fee": {
40 "fee": "0.0003",
41 "fee_cap": "0.5",
42 "fee_floor": "-0.5"
43 },
44 "taker_fee": {
45 "fee": "0.0003",
46 "fee_cap": "0.5",
47 "fee_floor": "-0.5"
48 }
49 },
50 "rpi_fee": {
51 "maker_fee": {
52 "fee": "0.0003",
53 "fee_cap": "0.5",
54 "fee_floor": "-0.5"
55 },
56 "taker_fee": {
57 "fee": "0.0003",
58 "fee_cap": "0.5",
59 "fee_floor": "-0.5"
60 }
61 }
62 },
63 "funding_multiplier": 1,
64 "funding_period_hours": 8,
65 "interest_rate": "0.01",
66 "iv_bands_width": "0.05",
67 "market_kind": "cross",
68 "max_funding_rate": "0.05",
69 "max_funding_rate_change": "0.0005",
70 "max_open_orders": 100,
71 "max_order_size": "100",
72 "max_slippage": "0.05",
73 "max_tob_spread": "0.2",
74 "min_notional": "3",
75 "open_at": 0,
76 "option_cross_margin_params": {
77 "imf": {
78 "long_itm": "0.2",
79 "premium_multiplier": "1.2",
80 "short_itm": "0.4",
81 "short_otm": "0.25",
82 "short_put_cap": "0.5"
83 },
84 "mmf": {
85 "long_itm": "0.2",
86 "premium_multiplier": "1.2",
87 "short_itm": "0.4",
88 "short_otm": "0.25",
89 "short_put_cap": "0.5"
90 }
91 },
92 "option_type": "PUT",
93 "oracle_ewma_factor": "0.2",
94 "order_size_increment": "0.001",
95 "position_limit": "500",
96 "price_bands_width": "0.05",
97 "price_feed_id": "GVXRSBjFk6e6J3NbVPXohDJetcTjaeeuykUpbQF8UoMU",
98 "price_tick_size": "0.01",
99 "quote_currency": "USD",
100 "settlement_currency": "USDC",
101 "strike_price": "66500",
102 "symbol": "ETH-USD-PERP",
103 "tags": [
104 "MEME",
105 "DEFI"
106 ]
107 }
108 ]
109}
Get markets static data component
Was this page helpful?
Previous

History of changes to market specifications

Next
Built with

Query parameters

marketstringOptional

Market Name - example: BTC-USD-PERP

Response

OK
resultslist of objects
Array of results

Errors

404
Not Found Error